import { PUBLIC_URLS } from "../config/public-endpoints";

/**
 * seller click events
 * @returns {{init: init}}
 */
export const sellerClickEvents = (() => ({
  init: function () {
    const webflow = Webflow || [];

    // Book A Demo;
    Webflow.push(function () {
      $(document).off('submit');
      $('form').submit(function (e) {
        e.preventDefault();

        const target = $(e).data('target');

        const mail = $('.demo-input').filter(function () { return !!this.value; });

        const data = { mail: mail[0].value };

        $.ajax({
          type: "POST",
          url: PUBLIC_URLS.sellerBookADemo,
          data: JSON.stringify(data),
          contentType: 'application/json',
          success: function () {
            $('.success').css({'display': 'block'});
            $('.error').css({'display': 'none'});
          },
          error: function (error) {
            $('.error').css({'display': 'block'});
            $('.success').css({'display': 'none'});
          }
        });
      });
    });
  },
}))();
