import { PUBLIC_URLS } from '../config/public-endpoints';
import { pushTagToGTM } from "../util/gtm/cos-gtm";
import { chatBotClick } from "../util/gtm/tags-collection";

/**
 * book a cos-transportation typeform
 */
const initTransportationClickEventListener = () => {
  $('.transport').on('click', function(e) {
    e.preventDefault();

    window.open(PUBLIC_URLS.typeformBookTransportation, '_blank');
  });
};

/**
 * open career page
 */
const initCareerButtonClickEventListener = () => {
  $('.primary-button-2').on('click', function() {
    window.open(PUBLIC_URLS.careerPage, '_blank');
  });
};

const initTrackChatBotClick = () => {
  $('.bs-chatbot-fab__nJAOV').on('click', () => {
    // only tracking the root page for now;
    if (location.pathname === '/') {
      pushTagToGTM(chatBotClick);
    }
  });
};

export const sharedClickEvents = (() => ({
  init: function () {
    initTransportationClickEventListener();
    initCareerButtonClickEventListener();
    initTrackChatBotClick();
  }
}))();
